Package org.apache.tapestry5.services.assets

# Enum StreamableResourceProcessing

java.lang.Object
java.lang.Enum<StreamableResourceProcessing>
org.apache.tapestry5.services.assets.StreamableResourceProcessing

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamableResourceProcessing>`, `java.lang.constant.Constable`

public enum StreamableResourceProcessing extends Enum<StreamableResourceProcessing>
Defines additional features desired when accessing the content of a `Resource` as a `StreamableResource`.

Since:
  5.3
See Also:
  - `StreamableResourceSource`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPRESSION_DISABLED`
  As with `COMPRESSION_ENABLED`, but the final compression stage (and compression cache) is skipped.
  `COMPRESSION_ENABLED`
  The default behavior when the client supports compression, and an individual (non-aggregated) resources is being accessed.
  `FOR_AGGREGATION`
  Turns off all caching and minification of the resource, which is appropriate when the individual resource will be aggregated with other resources to form a virtual composite.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamableResourceProcessing`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StreamableResourceProcessing[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPRESSION_ENABLED

    public static final StreamableResourceProcessing COMPRESSION_ENABLED
    The default behavior when the client supports compression, and an individual (non-aggregated) resources is being accessed. The resource may be minimized and both the compressed and uncompressed versions may be cached.

  - ### COMPRESSION_DISABLED

    public static final StreamableResourceProcessing COMPRESSION_DISABLED
    As with `COMPRESSION_ENABLED`, but the final compression stage (and compression cache) is skipped. This is appropriate for individual resources where the client does not support compression.

  - ### FOR_AGGREGATION

    public static final StreamableResourceProcessing FOR_AGGREGATION
    Turns off all caching and minification of the resource, which is appropriate when the individual resource will be aggregated with other resources to form a virtual composite.
    See Also:
      - `JavaScriptStack`

- ## Method Details

  - ### values

    public static StreamableResourceProcessing[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StreamableResourceProcessing valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null